aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexey Shvetsov <alexxy@omrb.pnpi.spb.ru>2017-06-16 13:57:02 +0300
committerAlexey Shvetsov <alexxy@omrb.pnpi.spb.ru>2017-06-16 13:57:02 +0300
commitdb2c346dc7e498e0f3d48bfa587679d5014d06a1 (patch)
tree717c7784face41f89ee19782dc67a31081cac2b1 /sci-chemistry
parentsci-libs/acml: fix missed opencl dep (diff)
downloadsci-db2c346dc7e498e0f3d48bfa587679d5014d06a1.tar.gz
sci-db2c346dc7e498e0f3d48bfa587679d5014d06a1.tar.bz2
sci-db2c346dc7e498e0f3d48bfa587679d5014d06a1.zip
sci-chemistry/acpype: Move from tree
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'sci-chemistry')
-rw-r--r--sci-chemistry/acpype/Manifest1
-rw-r--r--sci-chemistry/acpype/acpype-0.1.0.ebuild32
-rw-r--r--sci-chemistry/acpype/metadata.xml9
3 files changed, 42 insertions, 0 deletions
diff --git a/sci-chemistry/acpype/Manifest b/sci-chemistry/acpype/Manifest
new file mode 100644
index 000000000..bdf447ff6
--- /dev/null
+++ b/sci-chemistry/acpype/Manifest
@@ -0,0 +1 @@
+DIST acpype-0.1.0.tar.gz 1187249 SHA256 990d760dc2b8b4acd81d7c7e228328c4864dbc6337bc135811337bb13345b68f SHA512 4edfd17a4d474d00a086ff59c4d4423bed9e0c39d2e762d6667792332dff0c121d37e18e9693f6d6a45967e06d0ce17597d62f5754c187ea19fb6750b5310fe0 WHIRLPOOL 87428674d1566f0d4879a2761965978eb2fac50af9fe594e01556bfda8e8001f00c6b762ff6c14ab3dfdcdcdb1bb8ea53942ca1ea241a8fccbd146d1d6ba152b
diff --git a/sci-chemistry/acpype/acpype-0.1.0.ebuild b/sci-chemistry/acpype/acpype-0.1.0.ebuild
new file mode 100644
index 000000000..30b496f31
--- /dev/null
+++ b/sci-chemistry/acpype/acpype-0.1.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="AnteChamber PYthon Parser interfacE"
+HOMEPAGE="https://github.com/llazzaro"
+SRC_URI="https://github.com/llazzaro/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+ ${PYTHON_DEPS}
+ sci-chemistry/openbabel
+ sci-chemistry/ambertools"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed \
+ -e '1s:^:#!/usr/bin/python\n\n:g' \
+ -i acpype/CcpnToAcpype.py || die
+ default
+}
diff --git a/sci-chemistry/acpype/metadata.xml b/sci-chemistry/acpype/metadata.xml
new file mode 100644
index 000000000..9528200f2
--- /dev/null
+++ b/sci-chemistry/acpype/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexxy@gentoo.org</email>
+ <name>Alexey Shvetsov</name>
+ <description>AnteChamber PYthon Parser interfacE</description>
+ </maintainer>
+</pkgmetadata>